Package net.snowflake.client.jdbc

## Class SnowflakeTimeWithTimezone

- java.lang.Object
- - java.util.Date
  - - java.sql.Time
    - - net.snowflake.client.jdbc.SnowflakeTimeWithTimezone

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Date>`

    public class SnowflakeTimeWithTimezone
    extends Time

Time with toString() overridden to display time values in session timezone. Only relevant for timestamp objects fetched as times. Normal time objects do not have a timezone associated with them.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SnowflakeTimeWithTimezone​(long time, int nanos, boolean useSessionTimeZone)`
`SnowflakeTimeWithTimezone​(Timestamp ts, TimeZone sessionTimeZone, boolean useSessionTimeZone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNano()`
`ZoneOffset` `getOffset()`
`String` `toString()` Returns a string representation in session's timezone so as to display "wallclock time"

### Methods inherited from class java.sql.Time

`getDate, getDay, getMonth, getYear, setDate, setMonth, setTime, setYear, toInstant, toLocalTime, valueOf, valueOf`

### Methods inherited from class java.util.Date

`after, before, clone, compareTo, equals, from, getHours, getMinutes, getSeconds, getTime, getTimezoneOffset, hashCode, parse, setHours, setMinutes, setSeconds, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnowflakeTimeWithTimezone

    public SnowflakeTimeWithTimezone​(long time,
                                     int nanos,
                                     boolean useSessionTimeZone)

#### SnowflakeTimeWithTimezone

    public SnowflakeTimeWithTimezone​(Timestamp ts,
                                     TimeZone sessionTimeZone,
                                     boolean useSessionTimeZone)

### Method Detail

#### getNano

    public int getNano()

#### getOffset

    public ZoneOffset getOffset()

#### toString

    public String toString()

Returns a string representation in session's timezone so as to display "wallclock time"

Overrides:
  `toString` in class `Time`
Returns:
  a string representation of the object